package org.hibernate.auction.exceptions;

/**
 * Wyjątek używany do wskazania nienaprawialnych błędów w infrastrukturze lub kodzie systemowym.
 *
 * @author Christian Bauer <christian@hibernate.org>
 */
public class InfrastructureException
	extends RuntimeException {

	public InfrastructureException() {
	}

	public InfrastructureException(String message) {
		super(message);
	}

	public InfrastructureException(String message, Throwable cause) {
		super(message, cause);
	}

	public InfrastructureException(Throwable cause) {
		super(cause);
	}
}
